#! /usr/bin/env python
########################################################## {COPYRIGHT-TOP} ###
# IBM Confidential
#
# Licensed Materials - Property of IBM
#          
# 5608-IAF - IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008, 2009, All Rights Reserved
#          
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been deposited
# with the U.S. Copyright Office
#
########################################################## {COPYRIGHT-END} ###

import sys, os, string
from ia_compliance_security_util import *

if __name__ == "__main__":
	if not os.path.isfile("/opt/tivoli/tiam/bin/iaESAPatchUninstall.py"):	
		sys.exit(0)
	#end if
	debuglevel = sys.argv[3]
	try:
		uninstallcmd = "sudo /opt/tivoli/tiam/bin/iaESAPatchUninstall.py -d " + debuglevel
		print uninstallcmd 
		exitcode, output = callsyscmd(uninstallcmd)
		for line in output:
			print line	
		#print output
	except Exception, ex:
		raise ComplianceSecurityException(ex.strerror)
	sys.exit(1)

