#!/bin/bash
#
#******************************************************************************
#  Licensed Materials - Property of IBM
#
#  (C) Copyright IBM Corp.  2008  All Rights Reserved
#
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -----------------------------------------------------------------------------
# 
# =========================================================================
# 
# Name: ia_systohc.sh.sh
#******************************************************************************
#
. /etc/sysconfig/clock

# remove historical information on hwclock calibration and drift
rm -f /etc/adjtime

# sync the hardware clock with the current system clock 
# and re-initialize /etc/adjtime
/sbin/hwclock --systohc $HWCLOCK --debug
