#! /usr/bin/env python
########################################################## {COPYRIGHT-TOP} ###
# IBM Confidential
#  
# Licensed Materials - Property of IBM
#  
# 5608-IAF - IBM Information Archive (IIA)
#  
# Copyright IBM Corporation 2008, 2009, All Rights Reserved
#  
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been deposited 
# with the U.S. Copyright Office
# 
########################################################## {COPYRIGHT-END} ###
#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Indexing Controller
# *
# * FILE NAME:       inxc_logmsgs.py
# *
# * DESCRIPTION:     Collection of logging messages for the Indexing Controller
# *
# * AUTHOR:          K.W.Brannon
# *                  IBM Almaden Research Center
# *                  kbrannon@us.ibm.com
# *
# *
# ****************************************************************************
INXC_LOGMSG_FILEOPEN = (9601,"E","""Error opening file: %s""")
INXC_LOGMSG_SKIP     = (9602,"E","""Skipping processing of file: %s, %s""")
INXC_LOGMSG_SYS_ERR  = (9603,"E","""System Error: %s""")
INXC_LOGMSG_CONNECT  = (9604,"E","""Connect to indexbroker failure, host:%s port:%s""")
INXC_LOGMSG_SEND     = (9605,"E","""Send to indexbroker failure, msg: %s""")
INXC_LOGMSG_RCV      = (9606,"E","""Receive from indexbroker failure, msg: %s""")
INXC_LOGMSG_INDEXING = (9607,"E","""Fatal indexing failure, msg: %s""")
INXC_LOGMSG_USAGE    = (9608,"E","""Usage error: %s. Correct usage: %s""")
INXC_LOGMSG_FILESIZE = (9609,"E","""Filesize limit of %s exceeded for indexing as metadata plus content for file: %s filesize: %s""")
INXC_LOGMSG_INFO = (9610,"I","""Processing info: %s""")
