#!/usr/bin/env python

########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###
#
# Jeff Huang
# Date 01/07/11
# The fix is for defect 17510.
# Added a new return code 2 for /opt/tivoli/tiam/bin/isSecondary.py when errors occure
# during execute "ssh root@iamconsole1 ls /opt/tivoli/tiam/etc/DR_SECONDARY > /dev/null 2>&1; echo $?"
# 0---Not secondary applinace, 1---Is secondary, 2---Error
# End Jeff Huang
# 
#

import commands
import os
import sys
import string
import time

MAXIMUM_TRY = 3
SLEEP_TIME = 5
cmd = "ssh root@iamconsole1 ls /opt/tivoli/tiam/etc/DR_SECONDARY > /dev/null 2>&1; echo $?"
rc = commands.getoutput(cmd)

if rc == "0":
  print True
  sys.exit(1)
elif rc == "2":
  print False
  sys.exit(0)
else:
  #Try three more times for scenario that ssh failure. There are 5 seconds between each try
  status = 2
  bCONTINUE=True  
  counter = 0
  while (bCONTINUE and (counter < MAXIMUM_TRY)):
     time.sleep(SLEEP_TIME)
     rc = commands.getoutput(cmd)
     if rc == "0":
        bCONTINUE = False
        print True
        status = 1
     elif rc == "2":
        bCONTINUE = False
        print False
        status = 0
     else:
     	counter = counter + 1
  #end while
  if counter == MAXIMUM_TRY:
     print "Unknown"
     status = 2
  #end if
  
  sys.exit(status)
 
