#!/bin/bash

WAS_USER=tiamadmin
WAS_PASSWORD=tiamadmin
TOOLS_PATH=/opt/tivoli/tiam/tools/bin
DEBUG= 

usage(){
        echo "Usages:"
        echo "iut_resetsystem.sh --debug"
        echo " OR "
        echo "iut_resetsystem -u iscusername -p iscpasswd --debug"
}

while getopts "dhu:p:" OPTION
do
        case $OPTION in
                h) usage; exit 1;;
                u) WAS_USER=$OPTARG;;
                p) WAS_PASSWORD=$OPTARG;;
		d) DEBUG=--debug;;
                *) usage; exit 1;;
        esac
done
shift $(($OPTIND - 1))

echo $WAS_USER
echo $WAS_PASSWORD

/opt/tivoli/tsm/AC/ISCW61/bin/wsadmin.sh -user $WAS_USER -password $WAS_PASSWORD -lang jython -f $TOOLS_PATH/iut_resetsystem.py $DEBUG 

echo "Begin clear the ICW configuration..."
$TOOLS_PATH/iut_reseticwexecutedflag.sh
echo "End clear the ICW configuration."

