#!/bin/sh

SYSTEM_FILE_ENCODING="UTF-8"

JAVA_HOME="/opt/ibm/java2-x86_64-50"

JAVA="${JAVA_HOME}/bin/java"

IAM_HOME="/opt/tivoli/tiam"

IAM_LIB="${IAM_HOME}/lib"

LOG4J_LIB="${IAM_LIB}/log4j.jar"

CLASSPATH="${LOG4J_LIB}"

#SOFTWARE_NAME=`grep "SoftwareName" ${WLM_PROPERTIES} | cut -d = -f 2`
#VERSION_NUMBER=`grep "VersionNumber" ${WLM_PROPERTIES} | cut -d = -f 2`

#echo "${SOFTWARE_NAME} ${VERSION_NUMBER}"

FILE_ENCODING_OPTION="-Dfile.encoding=${SYSTEM_FILE_ENCODING}"

POLICY_MANAGER_JAR="${IAM_LIB}/policymanager.jar"

${JAVA} ${FILE_ENCODING_OPTION} -Xbootclasspath/a:${CLASSPATH} -jar ${POLICY_MANAGER_JAR} $@

