#!/usr/bin/python

#
# Information Archive Manager (IAM) Ingest Coordinator Messages
# Version 2.1
#
# Copyright (c) 2008 International Business Machines
# All rights reserved.
#
# Author: David Pease, Almaden Research Center
#

icmsg_ExtCmdErr  = (8001,"E","""Error %d from external command "%s".""")
icmsg_ErrOutput  = (8002,"E","""Output: %s """)
icmsg_NoSuchFile = (8003,"E","""File %s does not exist""")
icmsg_mkdirErr   = (8004,"E","""Cannot start: Error from mkdir %s: %d""")
icmsg_ProtMode   = (8009,"I","""         in protect one file mode.""")
icmsg_Startup    = (8010,"I","""Starting Ingest Coordinator version %s""")
icmsg_DebugMode  = (8011,"I","""         in debug mode. """)
icmsg_NoCommit   = (8012,"E","""No implicit commit value read from collection.xml.""")
icmsg_NoTimeout  = (8013,"E","""No timeout value read from collection.xml for implicit commit collection.""")
icmsg_ChgLogErr  = (8014,"E","""Error %d from mmapplypolicy; change log=%s""")
icmsg_rmError    = (8015,"E","""Error %d (%s) removing %s.""")
icmsg_ScanError  = (8016,"E","""Error %d from mmapplypolicy performing file system scan""")
icmsg_RetroError = (8017,"E","""Error %d from mmapplypolicy applying policies retroactively""")
icmsg_NoAutoDel  = (8018,"E","""No auto deletion value read from collection.xml.""")
icmsg_ScanStat1  = (8019,"I","""Scan statistics at %s:""")
icmsg_ScanStat2  = (8020,"I","""%s""")
icmsg_openError  = (8021,"E","""Error %d (%s) opening %s.""")
icmsg_ICFailure  = (8022,"E","""The Ingest Coordinator encountered an error that has caused it to terminate unexpectedly.  Details follow:\n%s""")
icmsg_ProtEmpty  = (8023,"E","""Protect one file mode log file %s is empty.""")
icmsg_ProtError  = (8024,"E","""Error accessing protect one file mode log file %s.""")

