#! /bin/bash

########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2009
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

# Read the common code file
. `dirname $BASH_SOURCE`/IIAExit_mw_common.sh

logPath="/opt/log/CTJID/mmfs"

IIAExit_mw_stop_log="$logPath/IIAExit_mw_stop"
IIAExit_mw_stop_log_rotated="$logPath/IIAExit_mw_stop.rotated"

mkdir -p $logPath

tail -n 65536 $IIAExit_mw_stop_log > $IIAExit_mw_stop_log_rotated
mv $IIAExit_mw_stop_log_rotated $IIAExit_mw_stop_log

/bin/echo `/bin/date` ": Stopping IA Middleware." >> $IIAExit_mw_stop_log
/opt/tivoli/tiam/bin/ia_controlmiddleware.sh -stop
