#!/usr/bin/expect -f
# *************************************************************************************
# * Licensed Materials - Property of IBM
# * IBM Information Archive 2.1.0.0.efix_1
# *
# * (C) Copyright IBM Corp. 2008, 2009, 2010. All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# * All files within this archive are protected by IBM's copyright.
# *************************************************************************************
#
#################################################################
#
#This script is meant to run configureAgtMgr.sh with predefined
#input.
#
#Author: Anthony (Tony) Ciaravella  ajciarav@us.ibm.com
#################################################################

#CONFIG="/opt/ibm/director.bak/bin/configAgtMgr.sh"
#id="iadir"
#pass="iadir"
#PROMPT1="Enter the Resource Manager user ID that you would like to set for your Agent Manager:"
#PROMPT2="Enter the Resource Manager password to set for your Agent Manager:"
#PROMPT3="Verify the Resource Manager password to set for your Agent Manager:"
#PROMPT4="Enter the Agent Registration password to set for your Agent Manager:"
#PROMPT5="Verify the Agent Registration password to set for your Agent Manager:"
#PROMPT6="Would you like to use an existing Agent Manager (yes or no)?"

set CONFIG "/opt/ibm/director/bin/configAgtMgr.sh"
set id "iadir"
set pass "iadir"
set PROMPT1 "Enter the Resource Manager user ID that you would like to set for your Agent Manager:"
set PROMPT2 "Enter the Resource Manager password to set for your Agent Manager:"
set PROMPT3 "Verify the Resource Manager password to set for your Agent Manager:"
set PROMPT4 "Enter the Agent Registration password to set for your Agent Manager:"
set PROMPT5 "Verify the Agent Registration password to set for your Agent Manager:"
set PROMPT6 "Would you like to use an existing Agent Manager (yes or no)?"

set timeout -1

spawn ${CONFIG}

match_max 100000

expect "$PROMPT1"
send "${id}\r"
expect "$PROMPT2"
send "$pass\r"
expect "$PROMPT3"
send "$pass\r"
expect "$PROMPT4"
send "$pass\r"
expect "$PROMPT5"
send "$pass\r"
expect "$PROMPT6"
send "no\r"
interact


#echo /sbin/halt
#/sbin/halt
