#! /usr/bin/env python
########################################################## {COPYRIGHT-TOP} ###
# IBM Confidential
#
# Licensed Materials - Property of IBM
#          
# 5608-IAF - IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008, 2009, All Rights Reserved
#          
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been deposited
# with the U.S. Copyright Office
#
########################################################## {COPYRIGHT-END} ###

import sys, os, string
from ia_compliance_security_util import *

def copyESAPatch(theSourceHost, theTargetHost, theSourcePathOfPatch, theNameOfPack):
	try:
		cpcmd = "scp iaadmin@%s:%s%s /home/iaadmin/" %(theSourceHost, theSourcePathOfPatch, theNameOfPack)
		#print cpcmd
		callsyscmd(cpcmd)
	except Exception, ex:
		print ex
		raise ComplianceSecurityException(ex.strerror)
#endif

if __name__ == "__main__":
	#sys.path.append("/opt/tivoli/tiam/bin/")
	sourceHost = sys.argv[1]
	targetHost = sys.argv[2]
	sourcePathOfPatch = sys.argv[3]
	nameOfPack = sys.argv[4]
	debuglevel = sys.argv[5]
	
	#1. Copy packages to here
	copyESAPatch(sourceHost, targetHost, sourcePathOfPatch, nameOfPack)
	
	#2. sudo iaESAPatchInstall.py
	try:
		installcmd = "sudo /opt/tivoli/tiam/bin/iaESAPatchInstall.py -d " + debuglevel + " " + sourcePathOfPatch+nameOfPack
		execode, output = callsyscmd(installcmd)
		for line in output:
			print line	
		#print output
	except Exception, ex:
		raise ComplianceSecurityException(ex.strerror)
	sys.exit(0)

