#!/bin/bash
# Test CC
TOOLS_PATH=/opt/tivoli/tiam/tools/bin

cd /opt/tivoli/tsm/AC/ISCW61/profiles/TsmAC/bin
sudo -u iaadmin ./stopServer.sh tsmServer -username iscadmin -password iscadmin
echo "Waiting for the ISC shutdown completely......"
sleep 10
# kill `ps -ef | grep '/opt/tivoli/tsm/AC/ISCW61/java/bin/java' | grep 'iaadmin' | awk '{print $2}'` 
echo "ISC Java process was shutdown"

echo "The Java process for reset ICW flag is starting......"
java -cp /opt/tivoli/tsm/AC/ISCW61/lib/derby.jar:/opt/tivoli/tsm/AC/ISCW61/lib/derbytools.jar:$TOOLS_PATH/ ResetICWExecutedFlag 
echo "Waiting for the Java process for resetting ICW flag......" 
sleep 10 
echo "The Java process for resetting ICW flag was finished!"
cd /opt/tivoli/tsm/AC/ISCW61/profiles/TsmAC/bin
sudo -u iaadmin ./startServer.sh tsmServer
echo "ISC started!"
