#! /usr/bin/env python

import string
import sys
import os


#Parsing debug option
debug = 0 
if len(sys.argv) == 1:
	if (sys.argv[0] == "--debug"):
		debug = 1 
#endif

print "BEGIN RESET SYSTEM"
collections = []

print "Begin Query Collections"
re = AdminTask.listcollection(['-format detailed'])
if debug:
	print re
#endif

index1 = re.find('Collection Name:')
index2 = re.find('Collection Type:')
while (index1 >=0):
	colName = re[(index1+len("Collection Name") + 1):index2]
	print (colName.lstrip()).rstrip()
	collections.append((colName.lstrip()).rstrip())

	leftOver = re[index2-1:]
	if debug:
		print leftOver
	#endif
	
	re = leftOver
	index1 = re.find('Collection Name:')
	index2 = re.find('Collection Type:')
#end while
print "End Query Collections"

print "Begin Delete Collections"
for s in collections:
	clicmd = "AdminTask.deletecollection(" + "['-name " + s + "'])"
	if debug:
		print clicmd
	#endif
	exec clicmd
	print "The collection " + s + " was deleted!"
#End for loop
print "End Delete Collections"

# print "Begin Clean Configuration"
# os.system("/opt/tivoli/tiam/bin/restartisc.sh --cleandb")
# os.system("/home/jeffh/iut_reseticwexecutedflag.sh")
# print "End Clean Configuration"

print "END RESET SYSTEM"

