#! /usr/bin/env python
########################################################## {COPYRIGHT-TOP} ###
# IBM Confidential
#  
# Licensed Materials - Property of IBM
#  
# 5608-IAF - IBM Information Archive (IIA)
#  
# Copyright IBM Corporation 2008, 2009, All Rights Reserved
#  
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been deposited 
# with the U.S. Copyright Office
# 
########################################################## {COPYRIGHT-END} ###
#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Solr Server Manager
# *
# * FILE NAME:       ssm_logmsgs.py
# *
# * DESCRIPTION:     Collection of logging messages for the Solr Server Mgr
# *
# * AUTHOR:          K.W.Brannon
# *                  IBM Almaden Research Center
# *                  kbrannon@us.ibm.com
# *
# *
# ****************************************************************************

SSM_LOGMSG_START =     (9500,"E","""%s logger has started, log:%s trace:%s""")
SSM_LOGMSG_CMDBADIN  =  (9501,"E","""Error in input %s to external command "%s".""")
SSM_LOGMSG_CMDRC     = (9502,"E","""Return code:  %d from external command "%s".""")
SSM_LOGMSG_CMDSTDOUT = (9503,"E","""Stdout: %s """)
SSM_LOGMSG_CMDSTDERR = (9504,"E","""Stderr: %s """)
SSM_LOGMSG_NOELEMENT = (9505,"E","""No xml element, %s in file: %s""")
SSM_LOGMSG_USAGE     = (9506,"E","""Usage error: %s. Correct usage: %s""")
SSM_LOGMSG_NOMATCH   = (9507,"E","""No match for %s in Solr response: %s""")
SSM_LOGMSG_PARSE     = (9508,"E","""Error parsing xml file: %s""")
SSM_LOGMSG_PARSE_EL  = (9509,"E","""Error parsing xml file: %s for element %s""")
SSM_LOGMSG_RECONCILE = (9510,"E","""Error reconciling %s for collection %s, rc=%s""")
SSM_LOGMSG_SYS_ERR   = (9511,"E","""System Error: %s""")
SSM_LOGMSG_LOADCORE  = (9512,"E","""Error loading core %s for collection %s""")
SSM_LOGMSG_INITCFG   = (9513,"E","""Error initializing indexing configuration for %s""")
SSM_LOGMSG_ADDCORE   = (9514,"E","""Error adding core %s for collection %s""")
SSM_LOGMSG_LOGWAIT   = (9515,"E","""Error exceeded maximum wait time for update of solr config for collection %s operation:%s""")
SSM_LOGMSG_LOCK      = (9516,"E","""Error getting lock on lockfile %s """)
SSM_LOGMSG_INFO     = (9520,"I","""Processing info:  %s""")
SSM_LOGMSG_ICMDRC     = (9522,"I","""Return code:  %d from external command "%s".""")
SSM_LOGMSG_ICMDSTDOUT = (9523,"I","""Stdout: %s """)
SSM_LOGMSG_ICMDSTDERR = (9524,"I","""Stderr: %s """)
